 
 
 //     An orderly landing.pov  
 //     1-31-2005 Timothy J. Sharpe 

global_settings { assumed_gamma 2.2 }

#include "colors.inc"
#include "textures.inc" 
#include "glass.inc"
//#include "materials.inc"

#declare T05 = texture { T_Ruby_Glass } 
#declare T06 = texture { T_Old_Glass } 
#declare T07 = texture { T_Dark_Green_Glass }



#if(1)
//  if 1
#declare zm = 0.05; // 0.5  
//  location <0.3,1,(2-4*clock)> 
//                                      Side view   ..... if(1)
camera {
  location <0.5,1.8,0.8> *(1/zm)
  right <4/3, 0, 0>
  up <0, 1, 0>
  sky <1, 0, 0>
  //direction <0, 0, 1.8>
  look_at <0, 0, 0>
  rotate <0,11.536,0>
}
 

#else
//        front on view ..... if(0)
camera {
  location <0,-25,0>
 
  sky <1, 0, 0>
  //direction <0, 0, 1.8>
  look_at <0,-35, 0>
  rotate <0,11.536,0>
}
#end
 
        // universal light object

#declare xlite=light_source { <50, 50, 50> colour Gray60 shadowless} 

object { xlite rotate < 60,0,0> }
object { xlite rotate < 120,0,0> } 
object { xlite rotate < 180,0,0> }
object { xlite rotate < 240,0,0> }
object { xlite rotate < 300,0,0> }
object { xlite rotate < 360,0,0> }

object { xlite rotate < 60,0,180> }
object { xlite rotate < 120,0,180> } 
object { xlite rotate < 180,0,180> }
object { xlite rotate < 240,0,180> }
object { xlite rotate < 300,0,180> }
object { xlite rotate < 360,0,180> }

light_source { <0.35, 0.2, 0.2> colour White shadowless}  // Gray80   
light_source { <0.35, -0.2, 0.2> colour White shadowless} // Gray80  
light_source { <0.35, 0.2, -0.2> colour White shadowless} // Gray80
light_source { <0.35, -0.2, -0.2> colour White shadowless} // Gray80

light_source { <0.05, 0.2, 0.2> colour White shadowless}   // Gray80
light_source { <0.1, 1, 1> colour White shadowless}   // Gray80
light_source { <0.1, -1,1> colour White shadowless}   // Gray80
light_source { <0.1, 1, -1> colour White shadowless}   // Gray80
light_source { <0.1, -1, -1> colour White shadowless}   // Gray80 

                  
background { color Gray80 } 


#declare global_b=1;
#declare global_bot=1;   // for macro variable extraction
#declare global_z=1;

 #macro axis(rr)
        // cartesian axis
           //    -x
           
           cylinder     { <-rr,0,0 >, <0,0,0>, 0.01 pigment  { color DarkPurple } }
           
           //    +x
           
           cylinder     { <0,0,0 >, <rr,0,0>, 0.01 pigment   { color Red } }
 
            //   -y
                                            
           cylinder     { <0, -rr,0 >, <0,0,0>, 0.01 pigment { color DarkGreen } }
           
            //   +y        
                                            
           cylinder     { <0, 0,0 >, <0,rr,0>, 0.01 pigment  { color Green } }
            
           //   -z 
           cylinder     { <0,0, -rr >, <0,0,0>, 0.01 pigment { color Gold } } 
           
           //   +z 
           cylinder     {<0,0,0 >, <0,0,rr>, 0.01 pigment    { color Blue } }
#end            
             
   //axis(2.0)            
            
            
      // angle from axis up to or down to pentagonal planes

#declare hpp_theta_up=asin(sqrt(1/5)); 

#declare hpp_theta_dn=-asin(sqrt(1/5));

#declare rrr1 = 0.05; 

#declare Height_vehicle = 0.0;


 
         // Expand given vectors into three frequency points and 
         // generate 3f triangles
         

#macro Make_Face(r1,r2,r3) 

  #declare r21 = r2-r1;
 
  #declare r32 = r3-r2;     // delta vectors
  
  #declare r13 = r1-r3;


#declare r12O13 = r1+(1/3)*r21;
#declare r12O23 = r1+(2/3)*r21; 

#declare r23O13 = r2+(1/3)*r32;   // vectors to 1/3 and 2/3 segments
#declare r23O23 = r2+(2/3)*r32;   // by use of vector line eqs. in cartes.

#declare r13O13 = r3+(1/3)*r13;
#declare r13O23 = r3+(2/3)*r13;

#declare r_center = (r12O13+r23O23)/2;

                // reconvert to spherical 

#declare r_back_rho=sqrt(r12O13.x*r12O13.x+r12O13.y*r12O13.y+r12O13.z*r12O13.z);

#declare r_back12O13=<(sqrt(r12O13.x*r12O13.x+r12O13.y*r12O13.y+r12O13.z*r12O13.z)), 
                        (atan2(r12O13.y,r12O13.x)),
                        (asin((r12O13.z/r_back_rho)))>; 
                        
#declare r_back_rho=sqrt(r12O23.x*r12O23.x+r12O23.y*r12O23.y+r12O23.z*r12O23.z);

#declare r_back12O23=<sqrt(r12O23.x*r12O23.x+r12O23.y*r12O23.y+r12O23.z*r12O23.z), 
                        atan2(r12O23.y,r12O23.x),
                        asin(r12O23.z/r_back_rho)> ;

#declare r_back_rho=sqrt(r23O13.x*r23O13.x+r23O13.y*r23O13.y+r23O13.z*r23O13.z);

#declare r_back23O13=<sqrt(r23O13.x*r23O13.x+r23O13.y*r23O13.y+r23O13.z*r23O13.z), 
                        atan2(r23O13.y,r23O13.x),
                        asin(r23O13.z/r_back_rho)>;
                        
#declare r_back_rho=sqrt(r23O23.x*r23O23.x+r23O23.y*r23O23.y+r23O23.z*r23O23.z);

#declare r_back23O23=<sqrt(r23O23.x*r23O23.x+r23O23.y*r23O23.y+r23O23.z*r23O23.z), 
                        atan2(r23O23.y,r23O23.x),
                        asin(r23O23.z/r_back_rho)>;
                        
#declare r_back_rho=sqrt(r13O13.x*r13O13.x+r13O13.y*r13O13.y+r13O13.z*r13O13.z);

#declare r_back13O13=<sqrt(r13O13.x*r13O13.x+r13O13.y*r13O13.y+r13O13.z*r13O13.z), 
                        atan2(r13O13.y,r13O13.x),
                        asin(r13O13.z/r_back_rho)>; 
                        
#declare r_back_rho=sqrt(r13O23.x*r13O23.x+r13O23.y*r13O23.y+r13O23.z*r13O23.z);

#declare r_back13O23=<sqrt(r13O23.x*r13O23.x+r13O23.y*r13O23.y+r13O23.z*r13O23.z), 
                        atan2(r13O23.y,r13O23.x),
                        asin(r13O23.z/r_back_rho)>;
                        
#declare r_back_rho=sqrt(r_center.x*r_center.x+r_center.y*r_center.y+r_center.z*r_center.z);

#declare r_backcenter=<sqrt(r_center.x*r_center.x+r_center.y*r_center.y+r_center.z*r_center.z), 
                        atan2(r_center.y,r_center.x),
                        asin(r_center.z/r_back_rho)>;

           //  and extent back out to sphere
                           
#declare r_back12O13=<1.0,r_back12O13.y,r_back12O13.z>;
#declare r_back12O23=<1.0,r_back12O23.y,r_back12O23.z>;
#declare r_back23O13=<1.0,r_back23O13.y,r_back23O13.z>;
#declare r_back23O23=<1.0,r_back23O23.y,r_back23O23.z>;  
#declare r_back13O13=<1.0,r_back13O13.y,r_back13O13.z>;
#declare r_back13O23=<1.0,r_back13O23.y,r_back13O23.z>;
#declare r_backcenter=<1.0,r_backcenter.y,r_backcenter.z>;


                           // convert to final xyz vectors

#declare rr12013= <r_back12O13.x*cos(r_back12O13.z)*cos(r_back12O13.y),
                   r_back12O13.x*cos(r_back12O13.z)*sin(r_back12O13.y),
                   r_back12O13.x*sin(r_back12O13.z)>;  
                   
#declare rr12023= <r_back12O23.x*cos(r_back12O23.z)*cos(r_back12O23.y),
                   r_back12O23.x*cos(r_back12O23.z)*sin(r_back12O23.y),
                   r_back12O23.x*sin(r_back12O23.z)>;
                   

#declare rr23013= <r_back23O13.x*cos(r_back23O13.z)*cos(r_back23O13.y),
                   r_back23O13.x*cos(r_back23O13.z)*sin(r_back23O13.y),
                   r_back23O13.x*sin(r_back23O13.z)>;  
                   
#declare rr23023= <r_back23O23.x*cos(r_back23O23.z)*cos(r_back23O23.y),
                   r_back23O23.x*cos(r_back23O23.z)*sin(r_back23O23.y),
                   r_back23O23.x*sin(r_back23O23.z)>;

#declare rr13013= <r_back13O13.x*cos(r_back13O13.z)*cos(r_back13O13.y),
                   r_back13O13.x*cos(r_back13O13.z)*sin(r_back13O13.y),
                   r_back13O13.x*sin(r_back13O13.z)>;  
                   
#declare rr13023= <r_back13O23.x*cos(r_back13O23.z)*cos(r_back13O23.y),
                   r_back13O23.x*cos(r_back13O23.z)*sin(r_back13O23.y),
                   r_back13O23.x*sin(r_back13O23.z)>;
                   
#declare rrcenter= <r_backcenter.x*cos(r_backcenter.z)*cos(r_backcenter.y),
                    r_backcenter.x*cos(r_backcenter.z)*sin(r_backcenter.y),
                    r_backcenter.x*sin(r_backcenter.z)>;
                   

#declare rrcenb=(rr13023 + rr13013 + rr23023 + rr23013 + rr12023 + rr12013)/6;
#declare rrcenbot=(r1  + r2  + r3)/3; 

#declare rrcenter1 = rrcenter;

#declare rrc=rrcenbot+2.0*(rrcenter-rrcenbot);
#declare rrcenter2 =rrc;

#declare hc = vlength(rrcenter1 - (rrcenb -  rrcenbot));
#declare hn = vlength(rrcenter2 - rrcenter1 + rrcenter1 - (rrcenb -  rrcenbot));
#declare cc_factor = hn/hc;

#declare Height_vehicle = vlength(rrc - rrcenbot);

#declare rrcenter=rrc; 

#declare global_bot= vlength(rrcenbot);   
#declare global_b= vlength(rrcenb); 
#declare global_z= global_b-global_bot; 
#declare global_Z=global_z*12; 
 
 
//light_source { rrcen1 colour Gray70 }  doing a light source here screws up the camera
 

#declare aa=vlength(r1-rr12013);
#declare bb=vlength(rr12013-rr12023);
#declare cc=vlength(rr12023-rrcenter); 

  
    /* 
    
           r2 
           
           /\
          /3 \
         /----\
        /\    /\              3F icosa facet numbering and vertex naming
       /2 \6 / 7\
      /____\/____\
     /\    /\   / \
    /1 \ 5/4 \8/ 9 \
r1 /____\/____\/____\ r3 

 */ 




#declare poo=union{



cylinder     {r1, rr12013, 0.005 pigment { color Black } }
cylinder     {rr12013, rr13023, 0.005 pigment { color Black } }
cylinder     {rr13023,r1 0.005 pigment { color Black } }

  triangle {  r1,        
             <rr12013.x, rr12013.y, rr12013.z>,
             <rr13023.x, rr13023.y, rr13023.z>  pigment { color Red } }    // 1
              
  triangle { <rr12013.x, rr12013.y, rr12013.z>,
             <rr12023.x, rr12023.y, rr12023.z>,
             <rrcenter.x, rrcenter.y, rrcenter.z>  texture{T07} interior{I_Glass}}  // 2

cylinder     {rr12013, rr12023, 0.005 pigment { color Black } }
cylinder     {rr12023, rrcenter, 0.005 pigment { color Black } }
cylinder     {rrcenter,rr12013 0.005 pigment { color Black } }
             
  triangle { <r2.x,r2.y,r2.z>,
             <rr23013.x, rr23013.y, rr23013.z>,
             <rr12023.x, rr12023.y, rr12023.z>    pigment { color Green*0.6 }}  // 3 = front

cylinder     {r2, rr23013, 0.005 pigment { color Black } }
cylinder     {rr23013, rr12023, 0.005 pigment { color Black } }
cylinder     {rr12023,r2 0.005 pigment { color Black } }
             

  triangle { <rr13013.x, rr13013.y, rr13013.z>,
             <rr13023.x, rr13023.y, rr13023.z>,
              <rrcenter.x, rrcenter.y, rrcenter.z> texture{T07} interior{I_Glass}}  // 4
              
cylinder     {rr13013, rr13023, 0.005 pigment { color Black } }
cylinder     {rr13023, rrcenter, 0.005 pigment { color Black } }
cylinder     {rrcenter,rr13013 0.005 pigment { color Black } }
             
               
  triangle { <rr12013.x, rr12013.y, rr12013.z>,
             <rr13023.x, rr13023.y, rr13023.z>,
              <rrcenter.x, rrcenter.y, rrcenter.z> texture{T07} interior{I_Glass} }  // 5
              
  triangle { <rrcenter.x, rrcenter.y, rrcenter.z>,
             <rr23013.x, rr23013.y, rr23013.z>,
             <rr12023.x, rr12023.y, rr12023.z>  texture{T06} interior{I_Glass} }   // 6
              
  triangle { <rrcenter.x, rrcenter.y, rrcenter.z>,
             <rr23013.x, rr23013.y, rr23013.z>,
             <rr23023.x, rr23023.y, rr23023.z>    texture{T07} interior{I_Glass}} // 7
             
cylinder     {rrcenter, rr23013, 0.005 pigment { color Black } }
cylinder     {rr23013, rr23023, 0.005 pigment { color Black } }
cylinder     {rr23023,rrcenter 0.005 pigment { color Black } }
             
             
  triangle { <rrcenter.x, rrcenter.y, rrcenter.z>,
             <rr23023.x, rr23023.y, rr23023.z>,
             <rr13013.x, rr13013.y, rr13013.z>   texture{T07} interior{I_Glass} } // 8
             
             
  triangle { <r3.x, r3.y, r3.z>,
             <rr23023.x, rr23023.y, rr23023.z>,
             <rr13013.x, rr13013.y, rr13013.z>  pigment { color Red }}  // 9
              
cylinder     {r3, rr23023, 0.005 pigment { color Black } }
cylinder     {rr23023, rr13013, 0.005 pigment { color Black } }
cylinder     {rr13013,r3 0.005 pigment { color Black } }
             
cylinder     {r1, r2, 0.005 pigment { color Black } }
cylinder     {r2, r3, 0.005 pigment { color Black } }
cylinder     {r3,r1 0.005 pigment { color Black } }
                                                      
                                                      
triangle { r2,rr12013,rr12023  pigment { color Gold }}  // side 12

triangle { r1,r2,rr12013  pigment { color Gold }}  // side  12

triangle { r2,rr23013,rr23023  pigment { color Gold }}  // side  23

triangle { r3,r2,rr23023  pigment { color Gold }}  // side 23

triangle { r3,rr13013,rr13023  pigment { color Gold }}  // side 13

triangle { r1,r3,rr13023  pigment { color Gold }}  // side  13



triangle { r1,r2,r3  pigment { color Red }}   // bottom
 
 
#declare rrr1 = 0.05;

#declare wheels = 1;   //  switch between car (1) and hovercraft(0)

#if(wheels)
sphere
{ (r1-< rrr1,0,0>) rrr1       // radius of sphere   Back Right tire  Green
  pigment { color Gray20 }
} 

sphere
{ (r2-< rrr1,0,0>) rrr1       // radius of sphere   Front tire   Blue
  pigment { color Gray20 }
}

sphere
{ (r3-< rrr1,0,0>) rrr1       // radius of sphere    Back Left tire  Red
  pigment { color Gray20 }
}


#declare mid_front = (rr12023+rr23013)/2; 

cylinder     {(r2-< rrr1,0,0>),((mid_front-r2)*1.2+r2) 0.005 pigment { color Black } }

difference{
cylinder     {((mid_front-r2)*1.2+r2),((mid_front-r2)*1.3+r2) 0.06 pigment { color Black } }
cylinder     {((mid_front-r2)*1.19+r2),((mid_front-r2)*1.31+r2) 0.04 pigment { color Black } }
}
#end


             
       }       
         
         object{poo}    
#end 

            

#macro Face_pos3(rxx)

#declare r1 = <cos(hpp_theta_dn)*cos(radians(-36+rxx)),cos(hpp_theta_dn)*sin(radians(-36+rxx)),sin(hpp_theta_dn)>; 

#declare r2 = <cos(hpp_theta_up)*cos(radians(rxx)),cos(hpp_theta_up)*sin(radians(rxx)),sin(hpp_theta_up)>;
    
#declare r3 = <cos(hpp_theta_dn)*cos(radians(36+rxx)),cos(hpp_theta_dn)*sin(radians(36+rxx)),sin(hpp_theta_dn)>;

Make_Face(r1,r2,r3) 

#declare rrr1 = 0.05; 

#declare rkr1 = (r1+<-0.4,+0.15,0>);
#declare rkr3 = (r3+<-0.4,-0.15,0>); 

#declare rkr11 = (r1+<-0.4,+0.15,-0.1>);
#declare rkr33 = (r3+<-0.4,-0.15,-0.1>); 

#declare rkr111 = (r1+<-0.4,+0.15,-0.15>);
#declare rkr333 = (r3+<-0.4,-0.15,-0.15>);
 
cylinder
{
  rkr11,  rkr111,  rrr1*0.2
  // open 
  pigment { color Black }
}

cylinder
{
  rkr33,  rkr333,  rrr1*0.2
  // open
  pigment { color Black }
}

#declare  xtransmit = 0.4;/* pass same color   towards 0 => less see through */
#declare  xfilter  = 0.0; /* pass with color change */ 



#declare rkr1111 = (r1+<-0.4,+0.15,-0.17>);
#declare rkr3333 = (r3+<-0.4,-0.15,-0.17>); 

cylinder
{
  rkr111,  rkr1111,  rrr1*4      // prop
  // open 
  pigment { rgb <0.6,0.6,0.0,xfilter,xtransmit> }
}
torus { (rrr1*4),(vlength(rkr111-rkr1111)/2)
  pigment { rgb <0.3,0.3,0.3,xfilter,xtransmit> }
  rotate <90,0,0> translate ((rkr111+rkr1111)/2) 
}




cylinder
{
  rkr333,  rkr3333,  rrr1*4        // prop
  // open
  pigment { rgb <0.6,0.6,0.0,xfilter,xtransmit> }
}

torus { (rrr1*4),(vlength(rkr333-rkr3333)/2)
  pigment { rgb <0.3,0.3,0.3,xfilter,xtransmit> }
  rotate <90,0,0> translate ((rkr333+rkr3333)/2) 
}




                             //  Engine mounting struts 
 
 cylinder     {<r3.x-global_bot,r3.y,r3.z>, rkr3, 0.005 pigment { color Brown*0.8 }   }
 cylinder     {<rr23023.x-global_bot,rr23023.y,rr23023.z>, rkr3, 0.005 pigment { color Brown*0.8 } }
 cylinder     {<rr13013.x-global_bot,rr13013.y,rr13013.z>, rkr3, 0.005 pigment { color Brown*0.8 } }
        
 cylinder     {rkr1, rkr3, 0.005 pigment { color Brown*0.8 } } 
 
 cylinder     {<r1.x-global_bot,r1.y,r1.z>, rkr1, 0.005 pigment { color Brown*0.8 }   }
 cylinder     {<rr12013.x-global_bot,rr12013.y,rr12013.z>, rkr1, 0.005 pigment { color Brown*0.8 } }
 cylinder     {<rr13023.x-global_bot,rr13023.y,rr13023.z>, rkr1, 0.005 pigment { color Brown*0.8 } }
             
      
#end



//    end of setup and macros   -------  start of top level code    ######################################




#declare instance_car=union { 


#declare rxx=0; 

#declare frame=Face_pos3(rxx)  //  make geometric object  





     // clear dome
#declare clear_dome =difference{
sphere
{
  <0.5, 0, 0> // center of sphere <X Y Z>
  0.25       // radius of sphere
   scale <1.6,1,1> // <= Note: Spheres can become ellipses by uneven scaling
   texture{T05} interior{I_Glass}}

box
{
  <0.75, 1, 1>  // one corner position <X1 Y1 Z1>
  < -0.6,  -1,  -1>  // other corner position <X2 Y2 Z2>
}

}      // end of diff
 




         
//difference{

object { frame  translate <-global_bot,0,0> }  
// global_x captures the height of the bottom
// of the object from the macro so it can be 
// translated to the <x,0,0> plane
                                       

// pilot ******
        
       union {
         
          sphere
        { <0,0,0> rrr1*0.9       // radius of sphere    head
          pigment { color Orange*0.6 } 
        }
      
         
        

       difference{
        sphere
        { <0,0,0> rrr1       // radius of sphere    head
           pigment { color Red } 
        }
        
        union {
        
           box
        {
        <0.0, 0, 0>  // one corner position <X1 Y1 Z1>
        < -2.0*rrr1,  -2.0*rrr1,  -2.0*rrr1>  // other corner position <X2 Y2 Z2>
        }
     box
        {
        <0.0, 0.25*rrr1, 2.0*rrr1>  // one corner position <X1 Y1 Z1>
        < 0,  0,  -2.0*rrr1>  // other corner position <X2 Y2 Z2>
        }
         }  // end of inside union 
         
         
         
        }   // end of difference 
        
        rotate <30,150,120> translate <0.20,0,-0.2>
        
        }  // end of outside union 




       
       difference{
        sphere
        { <0,0,0> rrr1       // radius of sphere    body
        scale <2.5,1.4,1.4>
          pigment { color Orange*0.4 } rotate <0,11.536,0> translate <0.01,0,-0.17>
        }
         
         box
        {
        <0.0, 1.5, 1.5>  // one corner position <X1 Y1 Z1>
        < -2.0,  -1.5,  -1.5>  // other corner position <X2 Y2 Z2>
        }
  
         }
           
           
           
           // neck
           
        cylinder
        {
          <0.21,0,-0.2>,  <0.01,0,-0.17>,  rrr1/3
          // open 
          pigment { color Orange*0.5 }translate <0.0,0,-0.01>      
        }  
        
       


// engines
 
#declare rrr1 = 0.05; 

#declare rkr1 = (r1+<-0.4,+0.15,0>);
#declare rkr3 = (r3+<-0.4,-0.15,0>); 

sphere
{ (rkr1)  rrr1     // radius of sphere   Back Right front hub
  pigment { color Orange*0.85 }
} 

sphere
{ (rkr3) rrr1       // radius of sphere    Back Left front hub
  pigment { color Orange*0.85 }
}

#declare rkr11 = (r1+<-0.4,+0.15,-0.1>);
#declare rkr33 = (r3+<-0.4,-0.15,-0.1>); 


cylinder
{
  rkr1,  rkr11,  rrr1
  // open 
  pigment { color Orange*0.85 }      // engine
}

cylinder
{
  rkr3,  rkr33,  rrr1
  // open
  pigment { color Orange*0.85 }      // engine
}
 
}// end of union 
 


#declare iii=0;

#while (iii < 50)

object { instance_car  translate <0.8,(-25+iii),4> }  
                                                      // 4
object { instance_car  translate <0.2,(-25+iii),0> }                                                           
                                                      // 4
object { instance_car  translate <0.4,(-25+iii),-4> }  
                                                      // 4
object { instance_car  translate <0.4,(-25+iii),-8> }  
                                                       // 4
object { instance_car  translate <0.4,(-25+iii),-12> }  
                                                       // 4
object { instance_car  translate <0.4,(-25+iii),-16> } 
                                                       // 6
object { instance_car  translate <0.4,(-25+iii),-24> } 
                                                       // 8
object { instance_car  translate <0.4,(-25+iii),-32> } 
                                                       // 10
object { instance_car  translate <0.4,(-25+iii),-42> }  
                                                       // 10
object { instance_car  translate <0.4,(-25+iii),-52> } 
                                                       // 10
object { instance_car  translate <0.4,(-25+iii),-62> } 

#declare iii=iii+2;

#end

object { instance_car   rotate <-90,11.536,5> translate <12,34,13.5> } 

                           // plane is translated down by the wheel Dia.
plane { <1,0,0>, -0.08
   pigment {  Yellow * 0.25
   } rotate <0,11.536,0>
   
}

 
 sphere { <0, 0, 0>, 5000
   pigment {  Blue * 0.9
     
      scale 0.2
   }
   finish {
      ambient 0.2
      diffuse 0.8
   } } 
     
#declare Mountain =
lathe {
  cubic_spline
  61,

<0      , 1.0>, //  control point
<0.,	1.0>,
<0.1,	0.990049834>,
<0.15,	0.977751237>,
<0.2,	0.960789439>,
<0.25,	0.939413063>,
<0.3,	0.913931185>,
<0.35,	0.884705905>,
<0.4,	0.852143789>,
<0.45,	0.816686483>,
<0.5,	0.778800783>,
<0.55,	0.738968488>,
<0.6,	0.697676326>,
<0.65,	0.655406254>,
<0.7,	0.612626394>,
<0.75,	0.569782825>,
<0.8,	0.527292424>,
<0.85,	0.485536895>,
<0.9,	0.444858066>,
<0.95,	0.405554505>,
<1.0,	0.367879441>,
<1.05,	0.332039945>,
<1.1,	0.298197279>,
<1.15,	0.266468298>,
<1.2,	0.236927759>,
<1.25,	0.209611387>,
<1.3,	0.184519524>,
<1.35,	0.161621192>,
<1.4,	0.140858421>,
<1.45,	0.12215067>,
<1.5,	0.105399225>,
<1.55,	0.090491442>,
<1.6,	0.07730474>,
<1.65,	0.065710273>,
<1.7,	0.055576213>,
<1.75,	0.046770622>,
<1.8,	0.039163895>,
<1.85,	0.032630756>,
<1.9,	0.027051847>,
<1.95,	0.022314915>,
<2,	0.018315639>,
<2.05,	0.014958135>,
<2.1,	0.012155178>,
<2.15,	0.009828195>,
<2.2,	0.007907054>,
<2.25,	0.006329715>,
<2.3,	0.00504176>,
<2.35,	0.003995846>,
<2.4,	0.003151112>,
<2.45,	0.002472563>,
<2.5,	0.001930454>,
<2.55,	0.001499685>,
<2.6,	0.001159229>,
<2.65,	0.000891594>,
<2.7,	0.000682328>,
<2.75,	0.000519575>,
<2.8,	0.000393669>,
<2.85,	0.000296786>,
<2.9,	0.00022263>,
<2.95,	0.00016617>,
<3.0,	0.00012341>
 
  
}


object { Mountain
  texture {
    pigment { Yellow * 0.25 }
    finish { Shiny metallic }
  }
  rotate <90,(90+11.536),0>
  scale <150, 150,150>
  translate <0, -600, 0>
} 


object { Mountain
  texture {
    pigment { Yellow * 0.25 }
    finish { Shiny metallic }
  }
  rotate <90,(90+11.536),0>
  scale <150, 150,150>
  translate <-50, -750, -250>
} 



//  runway stripes


#declare jjj = -40;

#while (jjj < 40)
box {
  <0, 0, 0>  // one corner position <X1 Y1 Z1>
  < 0.05,  0.5,  2>  // other corner position <X2 Y2 Z2>
   
  translate <0,0,jjj>
  rotate <0,11.536,0>
}

#declare jjj = jjj +4; 

#end 



// frontside lane of runway 

box {
  <0, 0, -40>  // one corner position <X1 Y1 Z1>
  < 0.05,  0.125,  40>  // other corner position <X2 Y2 Z2> 
   translate <0,25,0> 
   rotate <0,11.536,0>
   }


   
// backside lane of runway     
box {
  <0, 0, -40>  // one corner position <X1 Y1 Z1>
  < 0.05,  0.9,  40>  // other corner position <X2 Y2 Z2> 
   translate <0,-25,0> 
   rotate <0,11.536,0>
   }
   
   
   
//  Control tower

#macro xhexagon(S,L)
 
  prism {
    linear_sweep
    linear_spline
    0, // sweep the following shape from here ...
    L, // ... up through here
    7, // the number of points making up the shape ...
    <S*cos(radians(30)),S*sin(radians(30))>, 
    <0,S>, 
    <S*cos(radians(150)),S*sin(radians(150))>,
    <S*cos(radians(210)),S*sin(radians(210))>,
    <0,-S>,
    <S*cos(radians(-30)),S*sin(radians(-30))>,
    <S*cos(radians(30)),S*sin(radians(30))>
        texture {
    pigment { Silver * 0.15 }
    finish { Shiny metallic }
  }
  
   rotate <-11.536,0,-90>
   translate <0,-35,0> 
    
  }
 
#end     




#macro xhexagon2(S,L)
 
  prism {
    conic_sweep
    linear_spline
    0, // sweep the following shape from here ...
    L, // ... up through here
    7, // the number of points making up the shape ...
    <S*cos(radians(30)),S*sin(radians(30))>, 
    <0,S>, 
    <S*cos(radians(150)),S*sin(radians(150))>,
    <S*cos(radians(210)),S*sin(radians(210))>,
    <0,-S>,
    <S*cos(radians(-30)),S*sin(radians(-30))>,
    <S*cos(radians(30)),S*sin(radians(30))>
        //texture {pigment { Silver * 0.1 } finish { Shiny metallic } 
        texture{T07} interior{I_Glass}
  
  
   rotate <-11.536,0,-90>
   translate <6,-35,-1.2> 
    
  }
 
#end     
     // tower  
     
xhexagon(1.0,8.0)


      // observation 
      
xhexagon2(1.0,4.0)
